{% load widget_tweaks %}

{% if request.user.is_authenticated %}
<form action=""
  method="post"
  id="satellite-create-form"
  enctype="multipart/form-data">
  {% csrf_token %}
  <div class="modal-content">
    <div class="modal-header align-items-center justify-content-between">
      <h3 class="modal-title"
        id="SatelliteModalTitle">{% trans "Новый спутник" %}</h3>
    </div>
    <div class="modal-body">
      <div class="{% if form.non_field_errors %}invalid{% endif %} mb-2">
        {% for error in form.non_field_errors %}
        {{ error }}
        {% endfor %}
      </div>

      {% for field in form %}
      <div class="input-group my-1">
        <label class="input-group-prepend input-group-text"
          for="{{ field.id_for_label }}">{{ field.label }}</label>
        {% render_field field class="form-control" placeholder=field.label %}
        <div class="{% if field.errors %} invalid{% endif %}">
          {% for error in field.errors %}
          <p class="help-block">{{ error }}</p>
          {% endfor %}
        </div>
      </div>
      {% endfor %}

    </div>
    <div class="modal-footer">
      <button type="submit"
        class="btn btn-outline-success">{% trans "Создать" %}</button>
    </div>
  </div>
</form>

{% else %}
<div class="modal fade"
  id="SatelliteModalCreate"
  data-check="0"
  tabindex="-1"
  role="dialog"
  aria-labelledby="SatelliteModalTitle"
  aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-body">
        <div class="text-danger">{% trans "Нужно войти в аккаунт, чтобы предложить добавить новый спутник." %}</div>
      </div>
      <div class="modal-footer">
        <button class="btn btn-outline-secondary"
          data-dismiss="modal">{% trans "Закрыть" %}</button>
        <a href="/accounts/login"
          class="btn btn-satnogs-primary">{% trans "Войти" %}</a>
      </div>
    </div>
  </div>
</div>
{% endif %}
